<?php

require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'Чат';
$str['block'] = $set['site'].' / Панель управления / Чат';
include '../style/'.$style.'/head.php';
switch($act)
{
	default:
	echo '<div class="where"><a href="?act=add">Добавить</a></div>';
	$query = mysql_query("select * from `chat_rooms` order by `id`");
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Комнаты еще не созданы!</div>';
    }
    else
    {
	   while($row = mysql_fetch_assoc($query))
	   {
		echo '<div class="on">'.$row['title'].'<br /><a href="?act=edit&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete&amp;id='.$row['id'].'">[удл]</a></div>';
	   }
    }
	break;
	case 'add':
	if(isset($_POST['title']) && !empty($_POST['title']) && !empty($_POST['sort']))
	{
		$title = protect($_POST['title']);
		$sort = int($_POST['sort']);
		$umnik = int($_POST['umnik']);
		mysql_query ("INSERT INTO `chat_rooms` (title,sort,umnik) VALUES ('".$title."',".$sort.",".$umnik.")");
		echo '<div class="where">Комната успешно создана!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=add">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	Положение в списке: (цифрой)<br />
	<input type="text" name="sort" maxlength="2" value="" /><br />
	Умник:<br />
	<select name="umnik">
	<option value="1">Да</option>
	<option value="1">Нет</option>
	</select><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit':
	$query = mysql_fetch_assoc(mysql_query("select * from `chat_rooms` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Комната не найдена!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']) && !empty($_POST['sort']))
	{
		$title = protect($_POST['title']);
		$sort = int($_POST['sort']);
		$umnik = int($_POST['umnik']);
		mysql_query ("UPDATE `chat_rooms` SET `title` = '".$title."' WHERE `id` = ".$query['id']."");
		mysql_query ("UPDATE `chat_rooms` SET `sort` = '".$sort."' WHERE `id` = ".$query['id']."");
		mysql_query ("UPDATE `chat_rooms` SET `umnik` = '".$umnik."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Комната успешно обновлена!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
	Положение в списке: (цифрой)<br />
	<input type="text" name="sort" maxlength="2" value="'.$query['sort'].'" /><br />
	Умник:<br />
	<select name="umnik">
	<option value="1">Да</option>
	<option value="0">Нет</option>
	</select><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete':
	$query = mysql_fetch_assoc(mysql_query("select * from `chat_rooms` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Комната не найдена!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `chat_rooms` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Комната успешно удалена!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
}
include '../style/'.$style.'/foot.php';
?>